Update an external calendar
curl --request PATCH \
--url https://b.anny.co/api/v1/external-calendars/{external_calendar_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "externalcalendars",
"attributes": {
"name": "<string>",
"source": "<string>",
"availability_type": "<string>",
"url": "<string>",
"is_invalid_url": true,
"event_count": 123,
"anonymize_entries": true,
"import_transparent": true,
"timezone": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"external_resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/external-calendars/{external_calendar_id}"
payload = { "data": {
"id": "<string>",
"type": "externalcalendars",
"attributes": {
"name": "<string>",
"source": "<string>",
"availability_type": "<string>",
"url": "<string>",
"is_invalid_url": True,
"event_count": 123,
"anonymize_entries": True,
"import_transparent": True,
"timezone": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"external_resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'externalcalendars',
attributes: {
name: '<string>',
source: '<string>',
availability_type: '<string>',
url: '<string>',
is_invalid_url: true,
event_count: 123,
anonymize_entries: true,
import_transparent: true,
timezone: '<string>',
updated_at: '<string>',
created_at: '<string>'
},
links: {self: '<string>'},
relationships: {
resource: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
external_resource: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/external-calendars/{external_calendar_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "externalcalendars",
"attributes": {
"name": "<string>",
"source": "<string>",
"availability_type": "<string>",
"url": "<string>",
"is_invalid_url": true,
"event_count": 123,
"anonymize_entries": true,
"import_transparent": true,
"timezone": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"external_resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Resource Management
Update an external calendar
PATCH
/
api
/
v1
/
external-calendars
/
{external_calendar_id}
Update an external calendar
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The external calendar identifier.
Abfrageparameter
Organization
Body
application/vnd.api+json
An external calendar (iCal) synced to a resource for availability blocking.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
An external calendar (iCal) synced to a resource for availability blocking.
Show child attributes
Show child attributes
⌘I